hotkey('x', 'escape_screen(); assignin(''caller'',''continue_'',false);');

% set a custom calibration function
joy_offset = [0 0];
JoyCal.custom_calfunc(@custom_joy);

% show the joystick cursor
joy_.showcursor(true);
idle(3000);

% turn it off and store its position
joy_.showcursor(false);
old_position = joystick_position;
idle(3000);

% compute the displacement and show the cursor again
joy_offset = old_position - joystick_position;
joy_.showcursor(true);
idle(3000);

set_iti(1000);


function xy_deg = custom_joy(xy_deg)
    n = size(xy_deg,1);
    xy_deg = xy_deg + repmat(joy_offset,n,1);
end
